// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystems.Elevateur;
import frc.robot.subsystems.Pince;

/* You should consider using the more terse Command factories API instead https://docs.wpilib.org/en/stable/docs/software/commandbased/organizing-command-based.html#defining-commands */
public class Depart extends Command {
  private Elevateur elevateur;
  private Pince pince;
  /** Creates a new L2. */
  public Depart(Elevateur elevateur, Pince pince) {
    this.pince = pince;
    this.elevateur = elevateur;
    addRequirements(elevateur,pince);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(elevateur.limit2()==true){
      elevateur.vitesse(0);
      elevateur.reset();
    }
    else{
      elevateur.vitesse(.5);
    }
    
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    elevateur.vitesse(0);
    pince.pivote(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return elevateur.limit2()==true;
  }
}
