// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.Command;

import frc.robot.subsystems.Elevateur;
import frc.robot.subsystems.Pince;

/* You should consider using the more terse Command factories API instead https://docs.wpilib.org/en/stable/docs/software/commandbased/organizing-command-based.html#defining-commands */
public class L3 extends Command {
  private Elevateur elevateur;
  private Pince pince;
  /** Creates a new L2. */
  public L3(Elevateur elevateur,Pince pince) {
    this.elevateur = elevateur;
    this.pince = pince;  
    addRequirements(elevateur,pince);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(elevateur.position()>=700 && elevateur.position()<=710){
      elevateur.vitesse(0);
    }
    else if(elevateur.position()>=510){
      elevateur.vitesse(0.5);
    }
    else{
      elevateur.vitesse(-.5);
    }
    if(pince.encodeurpivot()>=700 && pince.encodeurpivot()<=710){
      pince.pivote(0);
    }
    else if(pince.encodeurpivot()>=710){
      pince.pivote(0.2);
    }
    else{
      pince.pivote(-0.2);
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    elevateur.vitesse(0);
    pince.pivote(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
