// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystems.Elevateur;
import frc.robot.subsystems.Pince;

/* You should consider using the more terse Command factories API instead https://docs.wpilib.org/en/stable/docs/software/commandbased/organizing-command-based.html#defining-commands */
public class StationPince extends Command {
  
  private Pince pince;
  private Elevateur elevateur;
  /** Creates a new L2Pince. */
  public StationPince(Pince pince,Elevateur elevateur) {
    this.elevateur = elevateur;
    this.pince = pince;
    addRequirements(pince,elevateur);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    pince.aspirecoral(0.5);
    if(pince.encodeurpivot()>=900 && pince.encodeurpivot()<=910){
      pince.pivote(0);
    }
    else if(pince.encodeurpivot()>=910){
      pince.pivote(0.2);
    }
    else{
      pince.pivote(-0.2);
    }
    if(elevateur.position()>=400 && elevateur.position()<=410){
      elevateur.vitesse(0);
    }
    else if(elevateur.position()>=410){
      elevateur.vitesse(0.3);
    }
    else{
      elevateur.vitesse(-.3);
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    pince.pivote(0);
    pince.aspirecoral(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
